# Signals

django-reversion provides two custom signals.

## reversion.signals.pre_revision_commit

Sent just before a revision is saved to the database.

`sender`

  The `reversion.create_revision` object.

`revision`

  The reversion.models.Revision model.

`versions`

  The reversion.models.Version models in the revision.

## reversion.signals.post_revision_commit

Sent just after a revision and its related versions are saved to the database.

`sender`

  The `reversion.create_revision` object.

`revision`

  The reversion.models.Revision model.

`versions`

  The reversion.models.Version models in the revision.